[PACKAGE]: ../../raw/master/mkp/check_radius-0.1.1-20240428.mkp "check_radius-0.1.1-20240428.mkp"
[PYRADLIB]: ../../raw/master/mkp/pyrad-2.4.0-240421.mkp "pyrad-2.4.0-240421.mkp"

This is a (very) basic active RADIUS check. Tests if a RADIUS server is responsive (accept/reject/timeout). There is (limited) support to add AV-pairs to the RADIUS request.

---
### Download
* [Download latest mkp file][PACKAGE]
* [pyrad-2.4.0-240421.mkp][PYRADLIB] The pyrad lib as MKP (contains pyrad 2.4, six 1.16.0, netaddr 1.2.1).

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There migth be incompatible changes.
                        
---
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp add PAKAGE_NAME.mkp
mkp enable PAKAGE_NAME VERSION
```

In the Enterprise/Free/Cloud edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

**Note**: before you can use this plugin you need to install the python lib [**_pyrad_**](https://github.com/pyradius/pyrad) into your CMK site. This can be done by issuing the command `pip3 install pyrad` as site user, as long as your CMK server has internet access. If you prefer not to download the pyrad lib from the internet you can also use the additional MKP package **_pyrad-2.4.0-240421.mkp_** (see above).

---
### Want to Contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

The plugin creates the service **_RADIUS_** with an optional item.

<details><summary>Montoring states</summary>

| State | condition | WATO | 
| ------ | ------ | ------ |
| WARN/CRIT | wrong response code | yes |
| WARN/CRIT | respos time above levels | yes |
| CRIT | Network error | no |
| CRIT | RADIUS request timeout | no |
| WARN/CRIT | wrong # of response attributes | yes |

</details>

<details><summary>Perfdata</summary>

| Metric | Unit | Perfometer |
| ------ | ------ | ------ |
| response timne | s | yes |

</details>

---
### WATO
<details><summary>Active check rule</summary>

| Section | Rule name |
| ------ | ------ |
| HTTP, TCP, Email, ... | RADIUS service |

| Option | Defailt value | Comment |
| ------ | ------ | --- |
| Service description | none | the optional item |
| Server IP-address or name | none | optional |
| Authentication port | 1812 | |
| Shared secret | none | |
| Request timeout | 1 second | |
| User name | dummyuser | |
| User password | dummypassword | |
| Request Attributes | none | List of optional AV-pairs for the request |
| Expected response | none | Accept/Reject |
| Monitoring state not expected response | Warn | |
| Max. response time | none | Upper levels max. response time in ms |
| # of expected attribues in response | none | |
| Monitoring state on wrong # of response attributes | Warn |  |

</details> 

<details><summary>Supported Request Attributes</summary>

- Called-Station-Id
- Calling-Station-Id
- Cisco-AVPair
- Framed-MTU
- NAS-IP-Address
- NAS-Identifier
- NAS-Port
- NAS-Port-Id
- NAS-Port-Type
- Service-Type

</details>

---
### Sample Output

Sample output

![sample output](/img/sample.png?raw=true "sample output")

Sample output details

![sample output details](/img/sample-details.png?raw=true "sample output details")

